namespace OubHackMS.Logging
{
    using OubHackMS.Core;
    using System;

    internal class LoggingHandler
    {
        public Level handleKey;
        protected OubHackMS parent;

        public LoggingHandler(OubHackMS parent)
        {
            this.parent = parent;
        }

        public virtual void onLog(params object[] args)
        {
            Console.WriteLine("LOGGER NOT IMPLEMENTED");
        }

        public void printTimestamp(string sFormat)
        {
            Console.Write(DateTime.Now.ToString(sFormat) + " ");
        }
    }
}

